/*
 * Copyright 2004-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.kijimuna.core.dicon.info;

import java.io.Serializable;

import org.eclipse.core.runtime.IAdaptable;

/**
 * @author Masataka Kurihara (Gluegent, Inc.)
 */
public interface IComponentKey extends Serializable, Comparable, IAdaptable {

	int NOT_TOO_MANY = 0;
	int TOO_MANY_PROBLEM = 1;
	int TOO_MANY_FETAL = 2;

	int UNKNOWN = 0;
	int INTERFACE = 1;
	int STRING = 2;

	String getDisplayName();

	void setTooMany(int tooMany);

	int getTooMany();

	int getKeyType();

}
